Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIGetStderr

Creates a `PETSCVIEWERASCII` `PetscViewer` shared by all MPI processes in a communicator that prints to `stderr`. Error returning version of `PETSC_VIEWER_STDERR_()`

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIGetStderr(MPI_Comm comm, PetscViewer *viewer)

Collective

## Input Parameter

- comm - the MPI communicator to share the `PetscViewer`

## Output Parameter

- viewer - the viewer

## Note

Use `PetscViewerDestroy()` to destroy it

## Developer Note

This should be used in all PETSc source code instead of `PETSC_VIEWER_STDERR_()` since it allows error checking

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerASCIIGetStdout()`, `PETSC_VIEWER_DRAW_()`, `PetscViewerASCIIOpen()`, `PETSC_VIEWER_STDERR_`, `PETSC_VIEWER_STDERR_WORLD`, `PETSC_VIEWER_STDERR_SELF`

## Level

beginner

## Location

src/sys/classes/viewer/impls/ascii/vcreatea.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages